Name: mdk
Version: 1.2.1
Release: alt0.2

Summary: GNU MIX Development Kit
Summary(ru_RU.KOI8-R):    MIX

License: GPL
Group: Development/Other
Url: http://www.gnu.org/software/mdk/mdk.html

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%name/%name-%version.tar.bz2

# Automatically added by buildreq on Mon Dec 06 2004
BuildRequires: flex fontconfig freetype2 glib2-devel guile16-devel hostinfo libatk-devel libglade2-devel libgtk+2-devel libncurses-devel libpango-devel libreadline-devel libxml2-devel pkgconfig xorg-x11-libs

%description
MDK stands for MIX Development Kit, and provides tools for developing and
executing, in a MIX virtual machine, MIXAL programs.

The MIX is Donald Knuth's mythical computer, described in the first volume
of The Art of Computer Programming, which is programmed using MIXAL, the MIX
assembly language.

MDK includes a MIXAL assembler (mixasm) and a MIX virtual machine (mixvm)
with a command line interface.  In addition, a GTK+ GUI to mixvm, called
gmixvm, is provided; and, for Emacs guy, exists emacs mode, which allows
running mixvm inside an Emacs GUD buffer.


%description -l ru_RU.KOI8-R
MDK --    MIX,     
     MIX.

MIX --    ,     
" ",     MIXAL
--   MIX.

MDK     MIXAL (mixasm)    MIX
(mixvm)  - .    ,
    mixvm   GTK+, 
 gmixvm;    Emacs,  ,   
 mixvm   Emacs.

%prep
%setup -q

%build
%configure
%make AM_CFLAGS=-export-dynamic
ln -s doc/img
cd doc
make html

%install
%makeinstall
mkdir -p %buildroot%_datadir/%name/samples/
install -m 644 samples/*.mixal %buildroot%_datadir/%name/samples/
mkdir -p %buildroot%_emacslispdir
mv %buildroot/%_datadir/%name/*.el  %buildroot%_emacslispdir
rm -f %buildroot%_infodir/dir

%find_lang %name

%post
%install_info mdk.info

%preun
%uninstall_info mdk.info

%files -f %name.lang
%doc doc/mdk.html doc/img THANKS NEWS README TODO INSTALL AUTHORS ChangeLog
%_bindir/*
%_infodir/*
%_datadir/%name
%_emacslispdir/*

%changelog
* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt0.2
- rebuild

* Mon Jan 02 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt0.1
- new version

* Fri Dec 31 2004 Vitaly Lipatov <lav@altlinux.ru> 1.2-alt2
- fix export for libglade

* Mon Dec 06 2004 Vitaly Lipatov <lav@altlinux.ru> 1.2-alt1
- new version (with gtk2 :) )
- update requires

* Tue Jun 15 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1-alt1
- new version ( with gtk1 :( )
- build with guile16

* Tue Jun 10 2003 Ott Alex <ott@altlinux.ru> 1.0.1-alt1
- Initial build for ALTLinux

